Groovy 1.7.0

## groovy.ui.text
Class AutoIndentAction

    java.lang.Object
      javax.swing.AbstractAction
          groovy.ui.text.AutoIndentAction

    class AutoIndentAction
    extends AbstractAction

Field Summary

Fields inherited from class AbstractAction
DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY

Property Summary
`AttributeSet` | `simpleAttributeSet`

Constructor Summary
`AutoIndentAction()`

Method Summary
`void` | `actionPerformed(ActionEvent evt)`

Methods inherited from class AbstractAction
getValue, putValue, setEnabled, isEnabled, getKeys, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, actionPerformed

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### simpleAttributeSet

    AttributeSet simpleAttributeSet

Constructor Detail

### AutoIndentAction

    AutoIndentAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

Copyright © 2003-2009 The Codehaus. All rights reserved.